# Class CIM_ServiceAccessBySAP
extends CIM_Dependency

CIM_ServiceAccessBySAP is an association that identifies the access points for a Service. For example, a printer might be accessed by NetWare, MacIntosh or Windows ServiceAccessPoints, which might all be hosted on different Systems.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceAccessBySAP

## Direct Known Subclasses

CIM_BootServiceAccessBySAP
CIM_ClusterServiceAccessBySAP
CIM_CommMechanismForManager
CIM_ProvidesEndpoint

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_ServiceAccessBySAP is an association that identifies the access points for a Service. For example, a printer might be accessed by NetWare, MacIntosh or Windows ServiceAccessPoints, which might all be hosted on different Systems.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ServiceAccessBySAP | CIM_Service
Dependent | CIM_ServiceAccessBySAP | CIM_ServiceAccessPoint

## Class Methods